com.holonplatform.vaadin.flow.components.builders

## Interface OptionsMultiSelectConfigurator.DatastoreOptionsMultiSelectInputBuilder<T,ITEM>

- Type Parameters:
    `T` - Value type
    `ITEM` - Item type
  All Superinterfaces:
    ComponentConfigurator<OptionsMultiSelectConfigurator.DatastoreOptionsMultiSelectInputBuilder<T,ITEM>>, DatastoreDataProviderConfigurator<ITEM,OptionsMultiSelectConfigurator.DatastoreOptionsMultiSelectInputBuilder<T,ITEM>>, DeferrableLocalizationConfigurator<OptionsMultiSelectConfigurator.DatastoreOptionsMultiSelectInputBuilder<T,ITEM>>, HasDeferrableLocalization, HasElementConfigurator<OptionsMultiSelectConfigurator.DatastoreOptionsMultiSelectInputBuilder<T,ITEM>>, HasEnabledConfigurator<OptionsMultiSelectConfigurator.DatastoreOptionsMultiSelectInputBuilder<T,ITEM>>, HasItemCaptionConfigurator<ITEM,OptionsMultiSelectConfigurator.DatastoreOptionsMultiSelectInputBuilder<T,ITEM>>, HasItemEnableConfigurator<ITEM,OptionsMultiSelectConfigurator.DatastoreOptionsMultiSelectInputBuilder<T,ITEM>>, HasLabelConfigurator<OptionsMultiSelectConfigurator.DatastoreOptionsMultiSelectInputBuilder<T,ITEM>>, HasStyleConfigurator<OptionsMultiSelectConfigurator.DatastoreOptionsMultiSelectInputBuilder<T,ITEM>>, InputBuilder<Set<T>,ValueHolder.ValueChangeEvent<Set<T>>,MultiSelect<T>,ValidatableMultiSelect<T>,OptionsMultiSelectConfigurator.DatastoreOptionsMultiSelectInputBuilder<T,ITEM>,OptionsMultiSelectConfigurator.ValidatableDatastoreOptionsMultiSelectInputBuilder<T,ITEM>>, InputConfigurator<Set<T>,ValueHolder.ValueChangeEvent<Set<T>>,OptionsMultiSelectConfigurator.DatastoreOptionsMultiSelectInputBuilder<T,ITEM>>, ItemSetConfigurator<OptionsMultiSelectConfigurator.DatastoreOptionsMultiSelectInputBuilder<T,ITEM>>, MultiSelectableInputConfigurator<T,ITEM,OptionsMultiSelectConfigurator.DatastoreOptionsMultiSelectInputBuilder<T,ITEM>>, OptionsMultiSelectConfigurator<T,ITEM,OptionsMultiSelectConfigurator.DatastoreOptionsMultiSelectInputBuilder<T,ITEM>>, OptionsMultiSelectConfigurator.DatastoreOptionsMultiSelectInputConfigurator<T,ITEM,OptionsMultiSelectConfigurator.DatastoreOptionsMultiSelectInputBuilder<T,ITEM>>, SelectableInputConfigurator<Set<T>,T,OptionsMultiSelectConfigurator.DatastoreOptionsMultiSelectInputBuilder<T,ITEM>>
  Enclosing interface:
    OptionsMultiSelectConfigurator<T,ITEM,B extends OptionsMultiSelectConfigurator<T,ITEM,B>>

      public static interface OptionsMultiSelectConfigurator.DatastoreOptionsMultiSelectInputBuilder<T,ITEM>
      extends OptionsMultiSelectConfigurator.DatastoreOptionsMultiSelectInputConfigurator<T,ITEM,OptionsMultiSelectConfigurator.DatastoreOptionsMultiSelectInputBuilder<T,ITEM>>, InputBuilder<Set<T>,ValueHolder.ValueChangeEvent<Set<T>>,MultiSelect<T>,ValidatableMultiSelect<T>,OptionsMultiSelectConfigurator.DatastoreOptionsMultiSelectInputBuilder<T,ITEM>,OptionsMultiSelectConfigurator.ValidatableDatastoreOptionsMultiSelectInputBuilder<T,ITEM>>

  Options `MultiSelect` input builder with `DatastoreDataProviderConfigurator` support.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.OptionsMultiSelectConfigurator

      `OptionsMultiSelectConfigurator.DatastoreOptionsMultiSelectInputBuilder<T,ITEM>, OptionsMultiSelectConfigurator.DatastoreOptionsMultiSelectInputConfigurator<T,ITEM,C extends OptionsMultiSelectConfigurator.DatastoreOptionsMultiSelectInputConfigurator<T,ITEM,C>>, OptionsMultiSelectConfigurator.DatastorePropertyOptionsMultiSelectInputBuilder<T>, OptionsMultiSelectConfigurator.DatastorePropertyOptionsMultiSelectInputConfigurator<T,C extends OptionsMultiSelectConfigurator.DatastorePropertyOptionsMultiSelectInputConfigurator<T,C>>, OptionsMultiSelectConfigurator.OptionsMultiSelectInputBuilder<T,ITEM>, OptionsMultiSelectConfigurator.OptionsMultiSelectInputConfigurator<T,ITEM,D extends DatastoreDataProviderConfigurator<ITEM,D>,C extends OptionsMultiSelectConfigurator.OptionsMultiSelectInputConfigurator<T,ITEM,D,C>>, OptionsMultiSelectConfigurator.PropertyOptionsMultiSelectInputBuilder<T>, OptionsMultiSelectConfigurator.PropertyOptionsMultiSelectInputConfigurator<T,D extends DatastoreDataProviderConfigurator<com.holonplatform.core.property.PropertyBox,D>,C extends OptionsMultiSelectConfigurator.PropertyOptionsMultiSelectInputConfigurator<T,D,C>>, OptionsMultiSelectConfigurator.ValidatableDatastoreOptionsMultiSelectInputBuilder<T,ITEM>, OptionsMultiSelectConfigurator.ValidatableDatastorePropertyOptionsMultiSelectInputBuilder<T>, OptionsMultiSelectConfigurator.ValidatableOptionsMultiSelectInputBuilder<T,ITEM>, OptionsMultiSelectConfigurator.ValidatablePropertyOptionsMultiSelectInputBuilder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ItemSetConfigurator

      `ItemSetConfigurator.ItemCaptionGenerator<ITEM>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `InputConfigurator.BaseInputConfigurator<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `HasStyleConfigurator.BaseHasStyleConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `HasEnabledConfigurator.BaseHasEnabledConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasLabelConfigurator

      `HasLabelConfigurator.BaseHasLabelConfigurator`

  - ### Method Summary

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.OptionsMultiSelectConfigurator

      `create, create, create, create`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.MultiSelectableInputConfigurator

      `dataSource`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ItemSetConfigurator

      `enumCaptionGenerator`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.SelectableInputConfigurator

      `withSelectionListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `readOnly, readOnly, required, required, withAdapter, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `create, elementConfiguration, hidden, id, visible, withAttachListener, withDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasElementConfigurator

      `withEventListener, withEventListener, withThemeName`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `create, styleName, styleNames`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `create, disabled, enabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.DeferrableLocalizationConfigurator

      `deferLocalization, withDeferredLocalization`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasDeferrableLocalization

      `isDeferredLocalizationEnabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasItemCaptionConfigurator

      `itemCaption, itemCaption, itemCaption, itemCaptionGenerator`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasLabelConfigurator

      `create, create, label, label, label`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasItemEnableConfigurator

      `itemEnabledProvider`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.DatastoreDataProviderConfigurator

      `itemIdentifierProvider, querySortOrderConverter, withDefaultQuerySort, withQueryConfigurationProvider, withQueryFilter, withQuerySort`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputBuilder

      `build, validatable`

Copyright © 2019 The Holon Platform. All rights reserved.